AOZ Studio Beta - Bug #818

Get Bob i,x1,y1 To x2,y2 is broken.
09/12/2021 02:02 PM - Brian Flanagan

Status: Closed Start date: 09/12/2021
Priority: High Due date:

Assignee: AQOZ Developers % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B10) u16

Affected version: 1.0.0 (B10) u16

Description

Get Bob in the form:

Get Bob index,x1l,yl To x2,y2

...Is broken in this version.

Get Bob index,x1,yl,width,height

... is working though.
Example:

Palette 0, $SFFFFFF, SO0FF00
Flash Off : Curs Off

Ink 2

Cls O

Disc 100,100,40

Pen 1 : Locate 0,5 : Print "Here's our object."
Print " (Press any key.)"

Wait Key

Get Bob 1,100-39,100-39,80,80 ' This works

' Get Bob 1,100-39,100-39 To 100+39,100+39 ' This fails
Cls O

Locate 0,0 : Print "Here are bobs made from it."

Bob 1,200,200,1

Bob 2,300,300,1

Bob 3,400,400,1

History

#1 - 09/12/2021 02:03 PM - Brian Flanagan
- Priority changed from Normal to High

#2 - 09/12/2021 03:13 PM - David Baldwin

Fixed. Brackets issue in languages/bobs.aoz

#3 - 09/12/2021 03:14 PM - David Baldwin

- Status changed from New to Resolved

#4 - 09/15/2021 12:52 AM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version changed from none to 1.0.0 (B10) u16

Verified. Works!
Thanks!
